自定义抛出异常

public class MyException extends Exception {    //创建自定义异常类型继承Exception类
 /**
  *
  */
 private static final long serialVersionUID = 1L;
 public MyException(String ErrorMessage) {         //   构造方法
  super(ErrorMessage);                          //父类的构造方法
}
}
public class buttoncla{
 static int avg(int number1,int number2)throws MyException {//在avg方法中抛出异常
  if(number1<0||number2<0)
   throw new MyException("不可以使用负数!");
  if(number1>100||number2>100)
   throw new MyException("数值太大了!");
  return (number1+number2)/2;}
  public static void main(String args[]) {
   try {
    int result=avg(102,150);
    System.out.println(result);
    
   }
   catch(MyException e){
    System.out.println(e);    //输出异常
   }
  }
  
 }
阅读更多
想对作者说点什么? 我来说一句

Java 自定义异常和抛出异常

2017年06月14日 17KB 下载

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭